IPSEC READWRITECONF(8)

NAME
ipsec-readwriteconf - validate and output an Libreswan IPsec configuration file

SYNOPSIS

ipsec readwriteconf [--config file] [--debug] [--verbose] [--rootdir dir]

DESCRIPTION

This program reads the given ipsec.conf style configuration file, interpreting the also= options, and outputs an equivalent ipsec.conf file. The purpose of this program is to validate the input processing. This can also be used to validate the syntax of a configuration file.

The options --debug and --verbose are currently synonyms.

The --rootdir option changes the programs idea of what "/" is when processing include directives. This is useful when validating a configuration that is not installed on a target system yet.

AUTHOR

Paul Wouters